/*
 * 引用并打开 通用的详情 不用写重复代码
 */
(function (window) {
	var o = {};
	/**
	 * 打开资讯详情
	 */
	o.openNewsDetails = function (_item,_param) {
		var myParam = {};
		myParam.pageType = "page";//打开页面方式	home 首页一级模块	 page 作为页面被打开
		myParam.pageOnly = T.getNum();//表示页面唯一参数	必传
		myParam.footerH = 0;//底部按钮高度 传home时会有
		myParam.title = "详情";//页面名字
		myParam.siteId = _item.siteId || zyUrl.getSiteID();//该条的地区id
		myParam.moreTitle = _item.title || "";
		myParam.moreContent = _item.content || "";//用来分享、的摘要
		if (myParam.moreContent.length > 50) {
			myParam.moreContent = myParam.moreContent.substring(0, 50);
		}
		if (_item.externalLinks && _item.externalLinks != 'null') {
			myParam.pageUrl = _item.externalLinks;//传入链接
			myParam.hasClose = true;//传入链接时 是否需要右上角直接关闭按钮
			myParam.notComment = true;
		}
		myParam.notComment = true;
		myParam.relateType = zyUrl.getSysType("5").key;//类型 
		myParam.module = _item.module || 1;//资讯类型下的 具体类型类型	
		myParam.recordId = _item.id;//该条 的id
		myParam.closeComment = _item.closeComment;
		myParam.closeCollect = _item.closeCollect;
		myParam.areaId = _item.areaId || "";
		myParam = T.setNewJSON(myParam, _param);
		switch ($api.trim(_item["class"])) {
			case "专题":
				myParam.newsId = _item.id;//该条 的id
				myParam.closeSearch = true;//关闭搜索
				myParam.newsType = "专题";//资讯类型 默认查资讯类型
				myParam.url = "widget://html/module/mo_news/news_frame.html";//传入自己的页面
				myParam.notComment = true;
				break;
			case "滚动报道":
				myParam.url = "widget://html/module/mo_news/report_details.html";//传入自己的页面
				myParam.notComment = true;
				break;
			case "滚动图片":
				myParam.url = "widget://html/module/mo_news/diagram_details.html";//传入自己的页面
				myParam.notComment = true;
				break;
		}
		T.openWin("details_win" + myParam.pageOnly, "widget://html/module/mo_details/details_win.html", myParam, true, false);
	};
	/**
	 * 打开详情	第二个参数可以传入自己的参数 不用在这里埴
	 */
	o.openDetails = function (_item, _param) {
		_item = _item || {};
		_param = _param || {};
		try {
			_item.isRead = "1";
			var myParam = {};
			myParam.pageType = "page";//打开页面方式	home 首页一级模块	 page 作为页面被打开
			myParam.pageOnly = T.getNum();//表示页面唯一参数	必传
			myParam.footerH = 0;//底部按钮高度 传home时会有
			myParam.title = _item.nTitle || "详情";//页面名字
			myParam.siteId = _item.siteId || zyUrl.getSiteID();//该条的地区id
			myParam.relateType = (_item.relateType || "") + "";//类型
			myParam.recordId = _item.id || "";//该条 的id
			myParam.moreTitle = _item.title || "";//用来分享、的标题
			myParam.moreContent = _item.content || "";//用来分享、的摘要
			if (myParam.moreContent.length > 50) {
				myParam.moreContent = myParam.moreContent.substring(0, 50);
			}
			if (_item.externalLinks && _item.externalLinks != 'null') {
				myParam.pageUrl = _item.externalLinks;//传入链接
				myParam.hasClose = true;//传入链接时 是否需要右上角直接关闭按钮
				myParam.notComment = true;
			}
			myParam.areaId = _item.areaId || "";
			myParam = T.setNewJSON(myParam, _param);
			var nowType = null;//当前type
			switch (myParam.relateType) {
				case "add"://跳转到新增页面
					myParam.title = _param.title || _item.title || "新增";//
					T.openWin("add_win" + myParam.pageOnly, "widget://html/module/mo_add/add_win.html", myParam, true, false);
					return;
				case "add_new"://跳转到新新增页面
					myParam.title = _param.title || _item.title || "新增";//
					T.openWin("add_win" + myParam.pageOnly, "widget://html/module/mo_add_new/add_win.html", myParam, true, false);
					return;
				case "scan"://跳转到扫码
					myParam.title = _param.title || _item.title || "扫一扫";//
					T.openWin("scan_win" + myParam.pageOnly, "widget://html/module/mo_scan/scan_win.html", myParam, true, false);
					return;
				case "changePassword"://跳转到修改密码
					myParam.title = _param.title || _item.title || "修改密码";//
					T.openWin("changePassword_win" + myParam.pageOnly, "widget://html/module/mo_changePassword/changePassword_win.html", myParam, true, false);
					return;
				case "registered"://注册
					myParam.title = _param.title || _item.title || "注册";//
					T.openWin("registered_win" + myParam.pageOnly, "widget://html/module/mo_registered/registered_win.html", myParam, true, false);
					return;
				case "FNImageClip"://裁剪图片
					myParam.title = _param.title || _item.title || "编辑";//
					T.openWin("FNImageClip_win" + myParam.pageOnly, "widget://html/module/mo_FNImageClip/FNImageClip_win.html", myParam, true, false);
					return;
				case "setting"://设置
					myParam.title = _param.title || _item.title || "设置";//
					T.openWin("setting_win" + myParam.pageOnly, "widget://html/module/mo_setting/setting_win.html", myParam, true, false);
					return;
				case "location"://位置
					myParam.title = _param.title || _item.title || "位置";//
					T.openWin("rongChat_location" + myParam.pageOnly, "widget://html/module/mo_rongChat/rongChat_location.html", myParam, true, false);
					return;
				case "suggestCount"://建议统计分析
					myParam.title = _param.title || _item.title || "统计分析";//
					myParam.relateType = zyUrl.getSysType("7").key;
					T.openWin("suggest_count_win" + myParam.pageOnly, "widget://html/module/mo_suggest_count/suggest_count_win.html", myParam, true, false);
					return;
				case "negotiateUsers"://建议提案三方协商
					myParam.title = _param.title || _item.title || "详情";//
					T.openWin("negotiateUsers" + myParam.pageOnly, "widget://html/module/mo_addressBook/negotiateUsers.html", myParam, true, false);
					return;
				case zyUrl.getSysType("50").key://委员值班
				case "51"://值班留言详细
					nowType = zyUrl.getSysType("50");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						//TODO 
						return;
					} else {
						myParam.title = "值班详情";
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeComment = true;//关闭评论功能
						myParam.closeCollect = true;
					}
					break;
				case "50.1"://值班留言详细
					myParam.title = "留言详情";
					myParam.url = "widget://html/module/mo_committeeLivingRoom/lam_details.html";//传入自己的页面
					myParam.closeComment = true;//关闭评论功能
					myParam.closeCollect = true;
					myParam.closeGeneral = true;//进这个页面 但是没有通用浏览评论点赞
					break;
				case "24"://委员说
				case "25"://晒一晒
					nowType = zyUrl.getSysType("25");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						T.openWin("committeesay_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeComment = true;//页面中不显示评论 但是有评论功能	点击评论会直接跳转到通用的评论界面
						myParam.closeCollect = true;//关闭收藏
					}
					break;
				case "614":
				case "615":
					nowType = zyUrl.getSysType("615");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						T.openWin("representativeFamily" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeComment = true;//页面中不显示评论 但是有评论功能	点击评论会直接跳转到通用的评论界面
						myParam.closeCollect = true;//关闭收藏
					}
					break;
				case zyUrl.getSysType("4").key://打开网络议政 意见征集
					nowType = zyUrl.getSysType("4");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						//TODO 
						return;
					} else {
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.commentName = "反馈意见";//
						myParam.commentHint = "大家的意见";//
						myParam.notComment = true;//页面中不显示评论 但是有评论功能	点击评论会直接跳转到通用的评论界面
					}
					break;
				case zyUrl.getSysType("5").key://打开资讯
					nowType = zyUrl.getSysType("5");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						if (myParam.baseTitle) myParam.title = myParam.baseTitle;
						T.openWin("news_win" + myParam.pageOnly, "widget://html/module/mo_news/news_win.html", myParam, true, false);
					} else {
						$o.openNewsDetails(_item,_param);
					}
					return;
				case zyUrl.getSysType("53").key://打开专题中资讯
					//没有特殊处理
					break;
				case "suggest_0"://打开新增建议
				case "proposal_0"://打开新增提案
					$o.openDetails({ relateType: "add" }, { callback: "refreshProSug", paramType: myParam.relateType == "suggest_0" ? "suggest" : "proposal" });
					return;
				case "suggest_4"://打开我附议的建议列表页面
				case "proposal_4"://打开我附议的提案列表页面
				case "suggest_3"://打开我领衔的建议列表页面
				case "proposal_3"://打开领衔我的提案列表页面
				case "suggest_2"://打开我的建议列表页面
				case "proposal_2"://打开我的提案列表页面
				case "suggest_1"://打开所有建议列表页面
				case "proposal_1"://打开所有提案列表页面
				case "suggestDetails"://
				case "proposalDetails"://
				case "transactSuggestDetail"://
				case zyUrl.getSysType(SYS_IF_ZX ? "7" : "11").key://打开提案/建议详情
					nowType = zyUrl.getSysType(SYS_IF_ZX ? "7" : "11");
					myParam.title = _param.title || _item.title || nowType.name;//
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.nType = myParam.relateType;
						T.openWin((SYS_IF_ZX ? "proposal_win" : "suggest_win") + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.relateType = nowType.key;
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeComment = true;//关闭评论功能
					}
					break;
				case zyUrl.getSysType( "18").key://打开一要点六计划详情
					nowType = zyUrl.getSysType("18");
					myParam.title = _param.title || _item.title || nowType.name;//
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.nType = myParam.relateType;
						T.openWin(("sixPoint_win") + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.relateType = nowType.key;
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeCollect = true;//关闭收藏
						myParam.closeComment = true;//关闭评论功能
					}
					break;
				case zyUrl.getSysType( "14").key://打开督办详情
					nowType = zyUrl.getSysType("14");
					myParam.title = _param.title || _item.title || nowType.name;//
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.nType = myParam.relateType;
						T.openWin(("supervise_win") + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.relateType = nowType.key;
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeCollect = true;//关闭收藏
						myParam.closeComment = true;//关闭评论功能
					}
					break;
					case zyUrl.getSysType("14.1").key://打开反馈列表
					nowType = zyUrl.getSysType("14.1");
					if (!_item.id || _item.id == 0) {// 如果有没有id就是列表
						myParam.title = nowType.name;// 页面名字
						T.openWin("feedback_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.relateType = nowType.key;
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeComment = true;//关闭评论功能
						myParam.closeCollect = true;//关闭收藏
						myParam.closeGeneral = true;//进通用详情 但不需要通用阅读 点赞什么的
					}
					break;
				case zyUrl.getSysType("7.1").key://打开提案、建议答复件
					nowType = zyUrl.getSysType("7.1");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						T.openWin((SYS_IF_ZX ? "proposal_flowAnswe_win" : "suggest_flowAnswe_win") + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.closeComment = true;//关闭评论功能
						myParam.closeCollect = true;//关闭收藏
						myParam.closeGeneral = true;//进通用详情 但不需要通用阅读 点赞什么的
					}
					break;
				case zyUrl.getSysType("7.2").key://打开提案、建议满意度测评
					nowType = zyUrl.getSysType("7.2");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						T.openWin((SYS_IF_ZX ? "proposal_evaluate_win" : "suggest_evaluate_win") + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.closeComment = true;//关闭评论功能
						myParam.closeCollect = true;//关闭收藏
						myParam.closeGeneral = true;//进通用详情 但不需要通用阅读 点赞什么的
					}
					break;
				case "motionDetails"://
				case zyUrl.getSysType("8").key://打开议案
					nowType = zyUrl.getSysType("8");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						T.openWin("motion_win"+myParam.pageOnly,nowType.listUrl,myParam,true,false);
						return;
					}else{
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeComment = true;//关闭评论功能
						// myParam.closeCollect = true;//关闭收藏
						// myParam.closeGeneral = true;//进通用详情 但不需要通用阅读 点赞什么的
					}
					break;
				case "proposalClueAdd"://新增线索征集
					$o.openDetails({ relateType: "add" }, { callback: "", title:"提供线索", paramType: "addProposalClue" });
					return;
				case "proposalClue"://提案线索征集
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						T.openWin("proposalClue_win" + myParam.pageOnly, "widget://html/module/mo_proposalClue/proposalClue_win.html", myParam, true, false);
					} else {
						T.openWin("proposalClue_details" + myParam.pageOnly, "widget://html/module/mo_proposalClue/proposalClue_details.html", myParam, true, false);
					}
					return;
				case zyUrl.getSysType("12").key://打开社情民意详情
					nowType = zyUrl.getSysType("12");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						//TODO 
						return;
					} else {
						myParam.currentProcessStatus = _item.currentProcessStatus || "";//社情民意状态
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeComment = true;//关闭评论功能
						myParam.notComment = true;//页面中不显示评论 但是有评论功能	点击评论会直接跳转到通用的评论界面
					}
					break;
				case zyUrl.getSysType("13").key://打开视频会议
					nowType = zyUrl.getSysType("13");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						//TODO 

						return;
					} else {
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeComment = true;//关闭评论功能
						myParam.closeCollect = true;//关闭收藏功能 
					}
					break;
				case zyUrl.getSysType("26").key://会议
					nowType = zyUrl.getSysType("26");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						T.openWin("meeting_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeCollect = true;
						myParam.closeComment = true;
					}
					break;
				case zyUrl.getSysType("27").key://打开通知公告详情
					nowType = zyUrl.getSysType("27");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						T.openWin("notice_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeComment = true;//关闭评论功能
					}
					break;
				case "duty_1"://履职档案
				case zyUrl.getSysType("31").key://履职档案
					nowType = zyUrl.getSysType("31");
					myParam.title = nowType.name;//页面名字
					T.openWin("performanceFiles_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
					return;
				case zyUrl.getSysType("32").key://打开资讯的专题
					nowType = zyUrl.getSysType("32");
					myParam.title = _param.title || _item.title || nowType.name;//页面名字
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						//TODO
					} else {
						myParam.id = _item.id;
						T.openWin("newsSpecialsubject_win" + myParam.pageOnly, nowType.detailsUrl, myParam, true, false);
					}
					return;
				case "activity_1"://活动列表
				case "activity_2":
				case "activity_3":
				case zyUrl.getSysType("49").key://打开活动 详情
					nowType = zyUrl.getSysType("49");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						if (myParam.relateType != nowType.key) {
							myParam.nType = myParam.relateType;
							myParam.title = { activity_1: "待报名的活动", activity_2: "待签到的活动", activity_3: "未结束的活动" }[myParam.nType] || "";
							myParam.relateType = nowType.key;
						}
						T.openWin("activity_win" + myParam.pageOnly, getActivityUrl(1), myParam, true, false);
						return;
					} else {
						myParam.url = getActivityUrl(2);//传入自己的页面
						myParam.notComment = true;//页面中不显示评论 但是有评论功能	点击评论会直接跳转到通用的评论界面
					}
					break;
				case "28":
				case zyUrl.getSysType("36").key://打开投票 详情
					nowType = zyUrl.getSysType("36");
					myParam.relateType = nowType.key;
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						T.openWin("vote_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeCollect = true;
						myParam.closeComment = true;
					}
					break;
				case "activityMateria"://活动资料
				case "activitySchedule"://日程行程
				case "activityReport"://活动报告	 a接活动id说明是列表
					if (myParam.recordId.indexOf('a') != -1) {//如果有没有id就是列表
						myParam.title = { activityMateria: "活动资料", activitySchedule: "日程行程", activityReport: "活动报告" }[myParam.relateType] || "";
						myParam.meetId = myParam.recordId.replace('a', '');
						T.openWin("activity_otherInformation_win" + myParam.pageOnly, "widget://html/module/mo_activity_list/version1/mo_activity_otherInformation/activity_otherInformation_win.html", myParam, true, false);
						return;
					} else {
						myParam.closeCollect = true;
						myParam.closeComment = true;
						myParam.closeGeneral = true;
					}
					break;
				case "activityInviters"://邀请人
				case "activitySignUps"://报名人
				case "activitySignIns"://签到人 
				case "activityLeaves"://请假
					myParam.title = "参与人";
					myParam.meetId = myParam.recordId.replace('a', '');
					myParam.tabName = myParam.relateType;
					T.openWin("activity_participant_win" + myParam.pageOnly, "widget://html/module/mo_activity_list/version1/mo_activity_participant/activity_participant_win.html", myParam, true, false);
					return;
				case "49.1"://履职补录详情
					myParam.closeCollect = true;
					myParam.closeComment = true;
					myParam.closeGeneral = true;
					break;
				case "matera"://活动 / 会议 资料
					if (myParam.recordId.indexOf('a') != -1) {//如果有没有id就是列表
						myParam.meetId = myParam.recordId.replace('a', '');
						if (myParam.sysType == 'meeting') {
							T.openWin("meeting_otherInformation_win" + myParam.pageOnly, "widget://html/module/mo_meeting_otherInformation/meeting_otherInformation_win.html", myParam, true, false);
						} else {
							T.openWin("activity_otherInformation_win" + myParam.pageOnly, "widget://html/module/mo_activity_list/version2/mo_activity_otherInformation/activity_otherInformation_win.html", myParam, true, false);
						}
						return;
					} else {
						myParam.closeCollect = true;
						myParam.closeComment = true;
						myParam.closeGeneral = true;
					}
					break;
				case "attendance"://考勤管理
					myParam.meetId = myParam.recordId.replace('a', '');
					if (myParam.sysType == 'meeting') {
						T.openWin("meeting_participant_win" + myParam.pageOnly, "widget://html/module/mo_meeting_participant/meeting_participant_win.html", myParam, true, false);
					} else {
						T.openWin("activity_participant_win" + myParam.pageOnly, "widget://html/module/mo_activity_list/version2/mo_activity_participant/activity_participant_win.html", myParam, true, false);
					}
					return;
				case zyUrl.getSysType("99").key://消息盒子
					nowType = zyUrl.getSysType("99");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						T.openWin("msgCenter" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						
					}
					break;
				case zyUrl.getSysType("103").key://双联来信
					nowType = zyUrl.getSysType("103");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						//TODO 
						return;
					} else {
						myParam.closeComment = true;//关闭评论功能
						myParam.closeCollect = true;
						//						myParam.closeGeneral = true;//进通用详情 但不需要通用阅读 点赞什么的
					}
					break;
				case zyUrl.getSysType("52").key://双联工作/选民来信
					nowType = zyUrl.getSysType("52");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						T.openWin("doubleWork_letter_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.closeComment = true;//关闭评论功能
						myParam.closeCollect = true;//关闭收藏功能 
					}
					break;
				case zyUrl.getSysType("201").key://双联工作/征集选民意见
					nowType = zyUrl.getSysType("201");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						T.openWin("mo_doubleWork_opinion_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.closeCollect = true;//关闭收藏功能 
						myParam.commentName = "发表意见";//
						myParam.commentHint = "征集的意见";//
					}
					break;
				case "station_1"://我所在代表工作站
				case "station_2"://所有代表工作站
				case zyUrl.getSysType("105").key://代表工作站
					nowType = zyUrl.getSysType("105");
					myParam.title = nowType.name;//页面名字
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						if (myParam.relateType != nowType.key) {
							myParam.recordId = "";
							myParam.onlyPage = myParam.relateType == "station_1" ? "0" : "1";
						}
					} else {
						myParam.onlyPage = "0";
					}
					T.openWin("workstation_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
					return;
				case zyUrl.getSysType("107").key://工作站》信息发布
					nowType = zyUrl.getSysType("107");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						//TODO 
						return;
					} else {
						myParam.closeCollect = true;
						myParam.closeComment = true;//关闭评论功能
					}
					break;
				case "paper_1"://培训考试
				case "info_1"://每日一学
				case zyUrl.getSysType("106").key://学习培训
					nowType = zyUrl.getSysType("106");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						T.openWin("trainingAndLearning_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
					} else {
						//跳转考试详情
						$o.openDetails(_item, { relateType: zyUrl.getSysType("35").key });
					}
					return;
				case zyUrl.getSysType("35").key://考试
					nowType = zyUrl.getSysType("35");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						myParam.onlyPage = "1";
						T.openWin("trainingAndLearning_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.id = _item.id;//
						T.openWin("mo_examination_detail_win" + myParam.pageOnly, nowType.detailsUrl, myParam, true, false);
					}
					return;
				case zyUrl.getSysType("108").key://通讯录
					nowType = zyUrl.getSysType("108");
					myParam.title = _param.title || _item.title || nowType.name;//页面名字
					T.openWin("addressBook_win" + myParam.pageOnly, _param.pageUrl || nowType.listUrl, myParam, true, false);
					return;
				case zyUrl.getSysType("111").key://审批	发文
				case zyUrl.getSysType("112").key://审批	信息发布
				case zyUrl.getSysType("113").key://审批	来文来电
				case zyUrl.getSysType("114").key://审批	内部请求
				case zyUrl.getSysType("115").key://审批	用车
				case zyUrl.getSysType("116").key://审批	接待
				case zyUrl.getSysType("117").key://审批	外出
				case zyUrl.getSysType("118").key://审批	报账
				case zyUrl.getSysType("119").key://审批	维修申报
				case zyUrl.getSysType("120").key://审批	物品申领
					nowType = zyUrl.getSysType(myParam.relateType);
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						T.openWin("approve_work_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeComment = true;//关闭评论功能
						myParam.closeCollect = true;//关闭收藏功能
						myParam.dealWithClose = true;//自己处理关闭
					}
					break;
				case zyUrl.getSysType("115.1").key://审批	用车选择车辆 驾驶人
					nowType = zyUrl.getSysType(myParam.relateType);
					myParam.url = nowType.listUrl;//传入自己的页面
					myParam.closeComment = true;//关闭评论功能
					myParam.closeCollect = true;//关闭收藏功能
					break;
				case zyUrl.getSysType("121").key://打开文件资料详情
					nowType = zyUrl.getSysType("121");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						T.openWin("document_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeComment = true;//关闭评论功能
					}
					break;
				case zyUrl.getSysType("124").key://打开每日一学详情
					nowType = zyUrl.getSysType("124");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						T.openWin("onelessonperda_list_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeComment = false;//关闭评论功能
					}
					break;
				case zyUrl.getSysType("125").key://打开每月工作详情
					nowType = zyUrl.getSysType("125");
					myParam.closeCollect = true;//关闭收藏
					myParam.closeGeneral = true;//进通用详情 但不需要通用阅读 点赞什么的
					myParam.class_type = _item.class_type;//详情的类型
					myParam.month = _item.title;//月份
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						T.openWin("month_work_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
						return;
					} else {
						myParam.url = nowType.detailsUrl;//传入自己的页面
						myParam.closeComment = true;//关闭评论功能
					}
					break;
				case zyUrl.getSysType("127").key://打开文明创建
					nowType = zyUrl.getSysType("127");
					if (myParam.recordId) {//具体任务详情
						myParam.title = "任务详情";//
						T.openWin("examine_details_win" + myParam.pageOnly, nowType.detailsUrl, myParam, true, false);
					} else if (myParam.year) {//有年份就是列表
						myParam.title = "任务清单";//
						T.openWin("examine_list_win" + myParam.pageOnly, nowType.yearListUrl, myParam, true, false);
					} else {//都没有就进统计页面
						myParam.title = nowType.name;//
						T.openWin("examine_win" + myParam.pageOnly, nowType.listUrl, myParam, true, false);
					}
					return;
				case zyUrl.getSysType("222").key://数据 中心
					nowType = zyUrl.getSysType("222");
					if (!_item.id || _item.id == 0) {//如果有没有id就是列表
						myParam.title = nowType.name;//页面名字
						//TODO 
						return;
					} else {
						myParam.closeCollect = true;
						myParam.closeComment = true;//关闭评论功能
					}
					break;
				case "300"://自建OA
					$o.openModuleDetails(_item);
					break;
				case "data_inquiry"://省图代查详情
						myParam.closeCollect = true;
						myParam.closeComment = true;//关闭评论功能
					break;
				default:
					if(!myParam.pageUrl) return true;
			}
			T.openWin("details_win" + myParam.pageOnly, "widget://html/module/mo_details/details_win.html", myParam, true, false);
		} catch (e) {
			console.error('语句异常：' + e.message);
		}

	};
	/**
	 * 打开聊天详情
	 */
	o.openChatDetails = function (_item) {
		var myParam = {};
		myParam.pageType = "page";//打开页面方式	home 首页一级模块	 page 作为页面被打开
		myParam.pageOnly = T.getNum();//表示页面唯一参数	必传
		myParam.footerH = 0;//底部按钮高度 传home时会有
		myParam.targetId = _item.targetId;
		myParam.targetName = "";//页面名字
		myParam.conversationType = _item.conversationType.toLocaleUpperCase();//融云推送的竟然是小写。
		myParam.sendMsg = _item.sendMsg || "";
		myParam.onDetails = _item.onDetails || "";
		T.openWin("chat_win", "widget://html/module/mo_rongChat/rongChat_win.html", myParam, true, false);
	}

	/**
	 * 打开个人资料
	 */
	o.openPersonalDataDetails = function (_item) {
		var myParam = {};
		myParam.pageType = "page";//打开页面方式	home 首页一级模块	 page 作为页面被打开
		myParam.pageOnly = T.getNum();//表示页面唯一参数	必传
		myParam.footerH = 0;//底部按钮高度 传home时会有
		myParam.title = "";//页面名字_item.name
		myParam.id = _item.id;
		//	T.openWin("personalData_win" + myParam.pageOnly, "widget://html/module/mo_personalData/personalData_win.html", myParam, true, false);
		myParam.title = "详细资料"
		T.openWin("represent_details_win" + myParam.pageOnly, 'widget://html/module/mo_represent_information/represent_details_win.html', T.setNewJSON(_item, myParam), true, false);
	}

	/**
	 * 打开网页
	 */
	o.openUrl = function (_item) {
		var openItem = {};
		if (T.isPositiveInteger(_item)) {
			var title = "", url = "";
			var shareJSON = {closewx: true};
			switch (_item) {
				case 1:
					title = "登录可能遇到的问题";
					break;
				case 2:
					title = "服务协议";
					shareJSON.pt = "User Agreement";
					shareJSON.appName = api.appName;
					break;
				case 3:
					title = "隐私政策";
					shareJSON.pt = "Privacy Policy";
					shareJSON.appName = api.appName;
					break;
				case 4:
					title = "帮助中心";
					break;
				case 5:
					title = "个人信息收集清单";
					shareJSON.pt = "Personal information collection list";
					shareJSON.appName = api.appName;
					break;
				case 6:
					title = "第三方信息共享清单";
					shareJSON.pt = "List of Third Party Information Sharing";
					shareJSON.appName = api.appName;
					break;
				case 7:
					title = "隐私政策摘要";
					shareJSON.pt = "Privacy Policy Abstract";
					shareJSON.appName = api.appName;
					break;
			}
			shareJSON.title = title;
			var shareText = "", isTheme = false;
			for (var _eItem in shareJSON)
				shareText += (shareText ? "-zyz-" : "") + (_eItem + "-zy-" + shareJSON[_eItem]);
			//1登录遇到问题	2用户使用协议	
			switch (_item) {
				case 1:
					url = shareAddress + "html/loginProblem.html?ndata=" + shareText;
					break;
				case 2:
				case 3:
				case 5:
				case 6:
				case 7:
					url = shareAddress + "html/showData.html?ndata=" + shareText;
					break;
				case 4:
					isTheme = true;
					url = shareAddress + "html/module/mo_helpCenter/helpCenter.html?ndata=" + shareText;
					break;
			}
			if(url.indexOf('?ndata=') != -1){//是app内分享
				if(url.indexOf('sysUrl-zy-') == -1){//没有带地址
					url += "-zyz-sysUrl-zy-"+zyUrl.getAppUrl();
				}
				if(url.indexOf('sysAreaId-zy-') == -1){//没有带地区
					url += "-zyz-sysAreaId-zy-"+zyUrl.getSiteID();
				}
				if(url.indexOf('iszx-zy-') == -1){//没有带人大政协判断 
					url += "-zyz-iszx-zy-"+SYS_IF_ZX;
				}
				if(url.indexOf('appTheme-zy-') == -1){//没有带主题
					url += "-zyz-appTheme-zy-"+vm.appTheme;
				}
				if(url.indexOf('only-zy-') == -1){//没有唯一标识 
					url += "-zyz-only-zy-"+(T.getTime().split(' ')[0].replace(/-/g, ""));
				}
			}
			openItem = { nTitle: title, url: url, isTheme: isTheme };
		} else {
			openItem = _item;
		}
		var myParam = {};
		myParam.hasClose = true;//传入链接时 是否需要右上角直接关闭按钮
		myParam.closeComment = true;
		myParam.isTheme = openItem.isTheme || "";//头部颜色
		myParam.title = openItem.nTitle || "详情";//页面名字
		myParam.pageUrl = openItem.url || "";//传入链接
		myParam.showShare = openItem.showShare;//是否可以分享
		$o.openDetails({}, myParam);
	},
	//打开模块
	o.openModuleDetails = function (_item, _other) {
		var myParam = {};
		myParam.id = _item.id;
		myParam.recordId = _item.id;
		myParam.pageType = "page";
		myParam.pageOnly = T.getNum();
		myParam.footerH = 0;
		myParam.title = _item.name || _item.moduleView || "";
		myParam.isHiddenAdd = _item.isHiddenAdd || "";
		if(_item.isHiddenHead){
			myParam.isHiddenHead = _item.isHiddenHead || "";
		}
		myParam.areaId = _item.areaId || _other.areaId || zyUrl.getSiteID();
		myParam.relateType = (_item.relateType || _item.type) + "";
		var infoUrl = _item.infoUrl || _item.routeUrl || "";
		if(infoUrl.indexOf('http') == 0){//如果是网络地址 默认打开头部带关闭
			myParam.openDetails = "1";
			myParam.hasClose = "1";
		}
		if (_item.remarks) {//如果有附加参数
			var params = _item.remarks.split('&');
			for (var i = 0; i < params.length; i++) {
				if (params[i]) {
					var data_key = params[i].substring(0, params[i].indexOf("="));
					if(!data_key) continue;
					var data_value = params[i].substring(params[i].indexOf("=") + 1);
					if (data_value.indexOf("{") == 0 || data_value.indexOf("[") == 0)//如果 value是个json 就转成json
						data_value = JSON.parse(data_value);
					myParam[data_key] = data_value;
				}
			}
		}
		var infoName = "";
		if (infoUrl) {
			infoName = infoUrl.substring(infoUrl.lastIndexOf("/") + 1, infoUrl.lastIndexOf("."));
			//页面name
		}
		if (_item.needRecord) {
			var url = zyUrl.getAppUrl() + "counter/add/count_0040?dataId=" + _item.id;
			T.ajax({ u: url, c: false, ct: 60,areaId:myParam.areaId }, 'counter/add/count_0040', function (ret, err) {
			}, '增加模块点击记录', "post", { values: {} });
		}
		//书院 工作室 需要
		T.setPrefs(api.appId + '_ajaxUrl', zyUrl.getAppUrl());
		T.setPrefs(api.appId + '_ajaxSiteID', myParam.areaId);
		if (myParam["A00002"] == "1") {
			T.openWidget('A00002', {
				title: '政协书院',
				ajaxUrl: zyUrl.getAppUrl(),
				siteID: myParam.areaId,
				appTheme:vm.appTheme,
				SYS_IF_ZX:SYS_IF_ZX
			});
			return;
		}
		if (myParam["A00003"] == "1") {
			T.openWidget('A00003', {
				title: _item.name,
				ajaxUrl: zyUrl.getAppUrl(),
				siteID: myParam.areaId,
				appTheme:vm.appTheme,
				SYS_IF_ZX:SYS_IF_ZX
			});
			return;
		}
		if (myParam["A00004"] == "1") {
			T.openWidget('A00004', {
				title: _item.name,
				ajaxUrl: zyUrl.getAppUrl(),
				siteID: myParam.areaId,
				appTheme:vm.appTheme,
			});
			return;
		}
		if (_item.name == "更多") {
			myParam.title = "全部"
			myParam.id = _other.parentId;
			myParam.frame = T.frameName();
		}
		if(myParam.relateType == "49"){//活动的链接从配置中获取
			infoUrl = getActivityUrl(1);
		}
		var cqvipid = 1160
		var secret = '6exq-ry9b-k7!w-@h86@-gbw6@2'
		var now = new Date();
		var year = now.getFullYear();
		var month = now.getMonth() + 1;
		var day = now.getDate();
		var clock = "" + year;
		if (month < 10) {clock += "0";}clock += month;
		if (day < 10) {clock += "0";}clock += day;
		var custumerType = 'SXHNZHRD'
		infoUrl = infoUrl.replace("{{cqvipid}}", cqvipid);
		infoUrl = infoUrl.replace("{{cqvipcc}}", hex_md5(cqvipid+clock+secret));
		infoUrl = infoUrl.replace("{{custumerType}}", custumerType);
		infoUrl = infoUrl.replace("{{chineseallCode}}", hex_md5(T.getPrefs("Sys_UserID")+custumerType+clock+'$#565656_PROZHRD(WX%^!LIB.was').toUpperCase());
		infoUrl = infoUrl.replace("{{token}}", encodeURIComponent(T.getPrefs("Sys_token")));
		infoUrl = infoUrl.replace("{{userId}}", T.getPrefs("Sys_UserID"));
		infoUrl = infoUrl.replace("{{JWT}}", T.getPrefs("createJWT"));
		infoUrl = infoUrl.replace("{{token5}}", T.getPrefs("sys_token5"));
		infoUrl = infoUrl.replace("{{areaId}}", myParam.areaId);
		var base_areas = $api.getStorage(T.getPrefs("Sys_UserID") + "_base_areas") || [];
		infoUrl = infoUrl.replace("{{areaLength}}", base_areas.length);
		// console.log(infoUrl);
		console.error("打开" + _item.name + infoName + "参数：" + JSON.stringify(myParam));
		if(infoUrl.indexOf('my-schedule')>=0){
			if(!T.confirmPer('calendar')){
				return;
			}
		}
		if(infoUrl.indexOf('pages/index/index.html')>=0){
			if(!T.confirmPer('storage')){
				return;
			}
			if(!T.confirmPer('photos')){
				return;
			}
			if(!T.confirmPer('camera')){
				return;
			}
		}
		if(myParam.openDetails){//需要从详情打开 带顶部的
			myParam.pageUrl = infoUrl;
			myParam.closeGeneral = myParam.relateType==27?false:true;
			myParam.closeComment = true;//关闭评论功能
			myParam.closeCollect = true;
			if(_item.isNoChangeOnly){
				T.setPrefs("detailsPageOnly", myParam.pageOnly)
			}
			T.openWin("details_win" + myParam.pageOnly, "widget://html/module/mo_details/details_win.html", myParam, true, false);
			return;
		}
		if (infoUrl) {
			if(infoUrl.indexOf("http") !=0 && infoUrl.indexOf("widget") !=0){//不是网络或本地的链接就不对
				T.toast('系统地址不正常，请联系管理员');
				return;
			}
			T.openWin(infoName + myParam.pageOnly, infoUrl, myParam, true, false);
		} else {
			T.toast('加急开发中');
		}
	},
	//打开书本详细
	o.openBookDetails = function (_item) {
		if (!_item.id) {
			return T.toast("书籍为空");
		}
		var myParam = {};
		myParam.pageType = "page";//打开页面方式	home 首页一级模块	 page 作为页面被打开
		myParam.pageOnly = T.getNum();//表示页面唯一参数	必传
		myParam.footerH = 0;//底部按钮高度 传home时会有
		myParam.title = "书籍详情";//页面名字
		myParam.param = _item;
		T.openWin("boolDetails_win" + myParam.pageOnly, "widget://wgt/A00002/html/module/mo_boolDetails/boolDetails_win.html", myParam, true, false);
	},
	//添加群书籍
	o.addGroupBook = function (_item) {
		var myParam = {};
		myParam.pageType = "page";//打开页面方式	home 首页一级模块	 page 作为页面被打开
		myParam.pageOnly = T.getNum();//表示页面唯一参数	必传
		myParam.footerH = 0;//底部按钮高度 传home时会有
		myParam.title = _item.name || "书籍";//页面名字
		myParam.param = _item;
		T.openWin("addGroupBook_win" + myParam.pageOnly, "widget://wgt/A00002/html/module/mo_addGroupBook/addGroupBook_win.html", myParam, true, false);
	},
	window.$o = o;
})(window);