/**
 * 介绍：通用页面引用js 每个页面必须增加 
 * var vmData,vmWatch,vmMethods;
 */

//Vue对象
var vm,general_fs,general_docReader,general_docInteraction;
var isCacheImg = false,cacheImgList = [];threadList = ["","","","","","","","","","","","","",""];//缓存图片线程池 暂时定7个
/**
 * 默认data参数 每个页面都有的参数
 */
var DEFAULT_DATA = {
	safeAreaTop:0,//手机端状态栏高度
	safeAreaBottom:0,//iphoneX 等有底部虚拟条的
	pageParam:{},//接收前一个页面的参数
	pageType:"",//页面类型 page或home 默认为page
	systemType:"",//系统 类型
	appName:"",//应用名字
	refreshPageSize:0,//返回当前页刷新列表的条数
	dotRefsresh:false,// 返回当前页是否不刷新
	
	showSkeleton:true,//是否展示骨架屏
	
	appFont: "",//app全局字体
	appFontSize:"",//app全局字体大小
	appTheme:"",//app全局主题色
	headTheme:"",//app标题栏主题色
	
	seachText:"",//搜索词
	seachPlaceholder:"请输入搜索内容",//搜索提示
	
	firstAjax:false,//首次网络请求是否成功
	dotCloseListener:false,//当前页面不要划动返回
	hasCloseListener:false,//不管其它页面 直接添加关闭监听
	
	pageNot:{type:0,url:"",text:"",summary:"",hasBtn:true,data:[
		{url:"../../../images/errMsg3.png",text:"暂无数据",summary:"去看看别的吧~"},
		{url:"../../../images/errMsg1.png",text:"网络不小心断开了",summary:"请刷新试试看吧~"},
	]},//页面空时的提示词

	SYS_IF_ZX:false,//是否政协项目
};
/**
 * 默认watch参数 每个页面都有 
 */
var DEFAULT_WATCH = {
	//根据引用字体 调用不同的style字体引用	其它字体下载 http://www.foundertype.com/index.php/FindFont/searchFont?keyword=
	"appFont":function(_val){
		if(!_val){
			return;
		}
		var fontStyleId = "fontStyle";
		if($api.byId(fontStyleId)){//存在的时候先删除
			$api.remove($api.byId(fontStyleId));
		}
		var fontStyle = document.createElement('style');
		fontStyle.id = fontStyleId;
		fontStyle.type = "text/css";
		var scripts = $api.domAll("script"),scriptPrefix = "";
		for(var i = 0; i < scripts.length; i++){
			var scriptsSrc = $api.attr(scripts[i], "src");
			if(scriptsSrc && scriptsSrc.indexOf('http') != 0){
				scriptPrefix = scriptsSrc.split('script')[0];
			}
		}
		scriptPrefix += "../../";//在这里的再加2级
		switch (_val) {
			case "heiti":
				// fontStyle.innerText = "@font-face{font-family: heiti;src: url('" + scriptPrefix + "css/microsoft_yahei.TTF')}";
				break;
			case "traditional":
				fontStyle.innerText = "@font-face{font-family: traditional;src: url('" + scriptPrefix + "css/song_traditional.TTF')}";
				break;
			default:
				fontStyle.innerText = "@font-face{font-family: simplified;src: url('" + scriptPrefix + "css/song_simplified.TTF')}";
				break;
		}
		document.getElementsByTagName('head')[0].appendChild(fontStyle);
	},
};
/**
 * 默认methods参数 每个页面都有 
 */
var DEFAULT_METHODS = {
	//默认的初始化方法
	defalutInit:function(){
		var that = this;
		$api.removeCls($api.byId("app"), "none");
		$api.css($api.byId("app"),"font-family:"+that.appFont+";");
		if(T.isAPICloud()){
			that.cleanIosDelay();
			that.systemType = api.systemType;
			that.appName = api.appName;
			that.safeAreaTop = api.safeArea.top;//顶部高度
			that.safeAreaBottom = api.safeArea.bottom;//底下导航条高度
			that.pageParam = api.pageParam || {};//页面参数
			that.pageType = that.pageParam.pageType || "page";//页面类型 首页打开 还是页面打开
			that.SYS_IF_ZX = typeof(T.getPrefs("SYS_IF_ZX")) == "string"?T.getPrefs("SYS_IF_ZX") == "true":T.getPrefs("SYS_IF_ZX");
			//接收修改过后的配置 
			T.addEventListener('changeConfiguration',function(ret,err){
				switch(ret.value.type){
					default:that.changeConfiguration();break;
				}
			});
		}
		that.changeConfiguration();
		that.appGrayscale();
		//因状态栏差异 改变它的颜色 
		setTimeout(function(){
			T.addEventListener('viewappear', function(ret, err){
				that.ifDarkOrLight();
				try{//回到页面就刷新页面
					if(window.loadPage && !that.dotRefsresh){
						that.getData(0);
					}else{
						window.loadPage = true;
					}
				}catch(e){
				}
				var nViewappearType = "";
				try{nViewappearType = viewappearType;}catch(e){nViewappearType = "";}
				if(nViewappearType == "1"){//在home_page上 回到这里刷新
					T.sendEvent({name:'menu_msg'});
				}else if(nViewappearType == "2"){//在 scan_win 防止可能突然没框	再 Window 显示到屏幕时 再打开一次
					if(!window.firstOpen){
						window.firstOpen = true;
					}else{
						that.openFNScanner();
					}
				}
			});
			var nowWinName = "";
			try{nowWinName = winActualName;}catch(e){nowWinName = "";}
			if(nowWinName && T.frameName() && !that.pageParam.headerH){//有设置主名 并且又是frame的时候 就是在home上的页面	 !that.pageParam.headerH是针对单页面时又为别人的子页面 就不加监听
				//我是home下的页面 监听 index页面传来
				T.addEventListener(nowWinName + '-setDarkOrLight', function(ret, err){
					 that.setDarkOrLight();
				});
			}else if((!nowWinName && T.frameName()) || that.hasCloseListener){//没有主名字	就是子frame
				if(that.pageType=='page' && (!that.dotCloseListener || that.hasCloseListener)){//页面为frame时 不在首页上 不是底部和更新Frame
					if(that.pageParam.nowIndex?that.pageParam.nowIndex==0:true){//对group来说 只有第1页才能侧滑返回
						T.closeListener();
					}
				}
			}
		},10);
	},
	//判断 当前页面是否有设置主题的功能
	ifDarkOrLight:function(){
		var that = this;
		var nowWinName = "";
		try{nowWinName = winActualName;}catch(e){nowWinName = "";}
		if(nowWinName && !T.frameName()){//如果有顶级名 并且不是frame的 
			var nowHeader = $api.dom("header");
			if(nowHeader){//当前 win有Header就直接设置 没就有 给他发监听
				that.setDarkOrLight();
			}else{
				T.sendEvent({name:nowWinName,extra:{type:"setDarkOrLight"}});
			}
		}
	},
	//当前 页面可以设置主题 再设置
	setDarkOrLight:function(){
		var that = this;
		var nowHeader = $api.dom("header");
		var bgC = T.isColorDarkOrLight($api.cssVal(nowHeader,"background-color"));//header如果有背景
		if(!bgC){
			bgC = T.isColorDarkOrLight(that.defaultBgColor || $api.attr(nowHeader,"defaultColor") || that.headTheme);//没有背景的时候 就看默认颜色	或者header的默认颜色 
		}
//		console.error(api.winName+'-'+api.frameName+"当前页面背景："+bgC);
		if(bgC == "light" || bgC == "dark"){
			api.setStatusBarStyle({style: bgC == "light"?"dark":"light",color:"rgba(0,0,0,0)"});
		}
	},
	//是否全局置灰
	appGrayscale:function(){
		var that = this;
		var appGrayscale = T.getPrefs("appGrayscale") || "0";
		if(appGrayscale == 1){
			$api.css($api.dom("html"),"-webkit-filter: grayscale(100%);-moz-filter: grayscale(100%);-ms-filter: grayscale(100%);-o-filter: grayscale(100%);filter: grayscale(100%);filter: gray;");
		}else{
			$api.css($api.dom("html"),"filter: none;");
		}
	},
	//获取当前主题色相对应前景色
	getHeadThemeRelatively:function(){
		var that = this;
		if(that.headTheme){
			return T.isColorDarkOrLight(that.headTheme) == "light"?'#333':'#fff';
		}
	},
	init:function(){},
	//消除IOS默认300延时
	cleanIosDelay:function(){
		var that = this;
		setTimeout(function(){
			if(T.systemType() == "ios"){
//				try{FastClick.attach(document.body);}catch(e){console.error(e.message)}
			}
		},10);
	},
	//全局配置
	changeConfiguration:function(){
		var that = this;
		that.appFont = T.getPrefs("appFont")&&T.getPrefs("appFont")!="0"?T.getPrefs("appFont"):"heiti";
		var randomNum = Math.floor(Math.random()*9),randomText = "";
		for(var i = 0; i < randomNum; i++){
			randomText += "0";
		}
		that.appFontSize = Number((T.getPrefs("appFontSize")&&T.getPrefs("appFontSize")!="0"?T.getPrefs("appFontSize"):"16") + "."+randomText+"1");
		that.appTheme = that.pageParam.appTheme || (T.getPrefs("appTheme")&&T.getPrefs("appTheme")!="0"?T.getPrefs("appTheme"):"#DB1B1F");
		that.headTheme = that.pageType=='home'?("" || that.appTheme):'#FFF';
	},
	//样式加载配置	字体不能改	大小传过来 +几		主题色不能改
	loadConfiguration:function(_changeSize,_max){
		var that = this;
		var changeSize = _changeSize || 0;
		return "font-size:"+((that.appFontSize>_max?_max:that.appFontSize+changeSize)*0.01)+"rem;font-family:"+that.appFont+";";
	},
	//根据配置大小	设置按钮 图片等宽高 +-N
	loadConfigurationSize:function(_changeSize,_who){
		var that = this;
		var changeSize = _changeSize || 0;
		var returnCss = "";
		var cssWidth,cssHeight;
		if(T.isArray(_changeSize)){
			cssWidth = "width:"+((that.appFontSize+(_changeSize[0] || 0))*0.01)+"rem;";
			cssHeight = "height:"+((that.appFontSize+(_changeSize[1] || 0))*0.01)+"rem;";
		}else{
			cssWidth = "width:"+((that.appFontSize+changeSize)*0.01)+"rem;";
			cssHeight = "height:"+((that.appFontSize+changeSize)*0.01)+"rem;";
		}
		if(!_who){
			returnCss = cssWidth + cssHeight;
		}else{
			returnCss = _who == 'w'?cssWidth:cssHeight;
		}
		return returnCss;
	},
	//通用列表页面点击 搜索确定事件
	//	@input 输入中监听			@keyup.enter 回车
	btnSearch:function(_type){
		if(!_type)
			this.$refs["btnSearch"].blur();
		T.goPageTop();
		if(T.isAPICloud()){
			T.refreshHeaderLoading();
			setTimeout(function(){
				T.refreshHeaderLoadDone();
			},2000);
		}
	},
	// ================================================================================
	//获取item	只有一层级的时候 会返回 当前index	_i
	getItemForKey:function(_value,_list,_key,_child){
		var that = this;
		var hasChild = false;
		for(var i = 0; i < _list.length; i++){
			if(T.isArray(_list[i])){
				hasChild = true;
				var result = that.getItemForKey(_value,_list[i],_key,true);
				if(result)//看对象里面有没有结果	没有就不管
					return result;
			}else{
				if((!T.isObject(_list[i])?_list[i]:_list[i][_key||"key"]) == _value){
					if(T.isObject(_list[i]))
						_list[i]['_i'] = i;
					return _list[i];
				}
			}
		}
		if(!_child && !hasChild)
			return false;
	},
	//在集合中删除第一个参数obj和index都可以或对比字符串	第二个传入集合	第三个为对比key
	delItemForKey:function(_obj,_list,_key){
		var that = this;
		if(!T.isParameters(_obj))return;
		if(T.isTargetType(_obj,'number')){//如果是数字 
			_list.splice(_obj,1);//删除起始角标	 /	几个数量
		}else{
			var contrastObj = T.isString(_obj)?_obj:_obj[_key||"url"];
			for (var i = 0; i < _list.length; i++) {
				if((T.isString(_list[i])?_list[i]:_list[i][_key||"url"]) == contrastObj)
					_list.splice(i,1);
			}
		}
	},
	//图片共用方法集合 ================================================================================
	//共用缓存方法	item需要一个url参数
	cacheImg:function(_item,_thumbnail,_url,_priority){
		var that = this;
		
		if(_item._imgAjax || (!_url && !_item.url))
			return;
		_item._imgAjax = true;//是否请求过	有就不再请求
//		T.imageCache({
//		url: _url || _item.url,
//		thumbnail: _thumbnail?true:false
//	}, function(ret, err) {
//		_item.url = ret.url;
//		_item.oldUrl = _url || _item.url;
//	});
		if(_priority){
			cacheImgList.unshift({item:_item,thumbnail:_thumbnail,url:_url});
		}else{
			cacheImgList.push({item:_item,thumbnail:_thumbnail,url:_url});
		}
		that.addThread();

//		if(!isCacheImg){//单线程
//			that.cacheImgStart();
//		}
	},
	//添加进缓存池 多线程
	addThread:function(){
		var that = this;
		if(cacheImgList.length == 0){
			return;
		}
		threadList.forEach(function(_eItem,_eIndex,_eArr){//item index 原数组对象
			if(!threadList[_eIndex] && cacheImgList.length != 0){
				threadList[_eIndex] = cacheImgList[0];
				cacheImgList.shift();
//				console.error("线程"+_eIndex+"开始任务" + JSON.stringify(threadList[_eIndex]));
//				console.error("剩余线程"+JSON.stringify(threadList));
				T.imageCache({
					url: threadList[_eIndex].url || threadList[_eIndex].item.url,
					thumbnail: threadList[_eIndex].thumbnail?true:false
				}, function(ret, err) {
					threadList[_eIndex].item.url = ret.url;
					threadList[_eIndex].item.oldUrl = threadList[_eIndex].url || threadList[_eIndex].item.url;
					threadList[_eIndex] = "";
//					console.error("线程"+_eIndex+"结束任务，" + JSON.stringify(ret));
					that.addThread();
				});
			}
		});
	},
	//开始递归缓存	单线程
	cacheImgStart:function(){
		var that = this;
		if(cacheImgList.length == 0){
			isCacheImg = false;
		}else{
			isCacheImg = true;
			T.imageCache({
				url: cacheImgList[0].url || cacheImgList[0].item.url,
				thumbnail: cacheImgList[0].thumbnail?true:false
			}, function(ret, err) {
				cacheImgList[0].item.url = ret.url;
				cacheImgList[0].item.oldUrl = cacheImgList[0].url || cacheImgList[0].item.url;
				cacheImgList.shift();
				that.cacheImgStart();
			});
		}
	},
	//打开预览图片 需要item带url的list 和当前第几页 没传就第1页
	previewImg: function(_list, _index, _key) {
		var that = this;
		var images = [];
		var nowIndex = _index;
		if(T.isArray(_list)){
			for (var i = 0; i < _list.length; i++) {
				images.push(_list[i][_key || "url"]);
			}
		}else{
			images.push(_list[_key || "url"]);
			nowIndex = 0;
		}
		if(T.isAPICloud()){
//		T.openImageBrowser({imageUrls:images,activeIndex:nowIndex});
			vant.ImagePreview({images: images,startPosition:nowIndex});
		}else{
			vant.ImagePreview({images: images,startPosition:nowIndex});
		}
	},
	//文字共用方法集合 ================================================================================
	//处理正文中的原生格式问题 转换成html格式
	dealWithCon: function(_content){
		var that = this;
		//抓到的数据 可能没得标签
		var expText = _content || "";
		//转换格式之后还正文还没得 标签 先加一个
		var expLength = expText.match(/<.*?>/g) || [];
		if(expLength.length < 2){
			expText = '<p>' + expText + '</p>';
		}
//		//再匹配标签中的正文
		var strRegex = '[^\>?]+[\<]';
		var regex = new RegExp(strRegex,"gi");//匹配所有非标签中的字符	g不停止	 i忽略大小写
		if(regex.test(expText)){//如果有标签内容	(肯定有)
			expText = expText.replace(regex,function(m){
				return m.replace(/&amp;/g,"&").replace(/ /g,"&nbsp;").replace(/\n/g,"<br />");//将标签中的	\n换成br 空格 抱成 nbsp
			});
		}
		return expText;
	},
	//附件共用方法集合 ================================================================================
	//执行上传附件	item格式 uploadType另一种上传格式 url本地地址路径	uploadUrl上传后的地址 uploadId上传后的id	state状态【1上传中2完成3失败】	 module上传类型具体看文档
	annexUpload:function(_item,_uploadType){
		var that = this;
		if(_item._fileAjax || _item.module == '-noUpload')//有传过 或者明确不传
			return;
		_item._fileAjax = true;//是否请求过	有就不再请求
		if(T.isAPICloud()){
			_item.state = 1;
			var url = zyUrl.getAppUrl()+"attachment/uploadFile";
			var files = {attachment: _item.url};
			if(_uploadType == "uploadimg"){
				url = zyUrl.getAppUrl()+"file/uploadimg";
				files = {file: _item.url};
			}
			T.ajax({u:url,paramData:{}}, _item.url, function (ret,err) {
				if(ret){
					if(_uploadType == "uploadimg"){
						var data = ret.data || {};
						var fullUrl = data.fullUrl || "";
						if(!fullUrl){
							_item.state = 3;
							_item.error = ret.errmsg || "";
						}else{
							_item.state = 2;
							_item.uploadUrl = fullUrl || "";
							_item.uploadId = data.shortName || "";
						}
						return;
					}
					var data = ret?ret.data||[]:[];
					var dataLength = data?data.length:0;
					if (!data || !T.isArray(data) || dataLength == 0) {
						_item.state = 3;
						_item.error = ret.errmsg || "";
					}else{
						var info = data[0];
						_item.state = 2;
						_item.uploadUrl = info.filePath || "";
						_item.uploadId = info.id || "";
					}
				}else{
					_item.state = 3;
				}
			},"上传附件","post",{
				values:{
					"module":_item.module,
					"siteId":zyUrl.getSiteID()
				},
				files:files
			});
		}
	},
	//附件异常提示
	annexError:function(_item){
		var that = this;
		if(_item.state == 1){
			T.toast('上传中');
		}else if(_item.state == 2){
			T.toast('上传成功');
		}else if(_item.state == 3){
			T.toast(_item.error);
		}else{
			T.toast('准备上传中');
		}
	},
	//返回提示文字		state【0未知 1下载中 2下载完成 3下载失败】
	annexShowHint: function(_item) {
		var that = this;
		var hint = "";
		switch (_item.state) {
			case 1:
				hint = _item.schedule >= 0 ? '【缓存' + _item.schedule + '%】' : '';
			break;
			case 3:
				hint = "【缓存失败】";
			break;
		}
		return hint;
	},
	//附件检查是否缓存什么的
	annexCheck: function(_item) {
		var that = this;
		if(!general_fs){
			general_fs = api.require('fs');
		}
		var filePath = _item.url; //取附件地址
		var lastLine = filePath.lastIndexOf("/") + 1;
		var fileName = _item.name || filePath.substring(lastLine, filePath.length); //取到真实文件名
		var localName = api.fsDir + '/fileCache/' + fileName;
		_item.path = localName;
		_item.iconInfo = that.getFileTypeAttr(fileName.split('.')[1]);
		_item.schedule = -1;
//	_item.state = general_fs.existSync({path: localName}).exist?2:0;
		_item.state = 2;//打开文件不需要下载
	},
	//点击附件
	annexClick: function(_item,_toast) {
		var that = this;
		that.annexCheck(_item);//怕附件缓存后被 删除了 打开时预检测一次
		if(_toast)
			T.showProgress("打开中");
		if (_item.state != 2) {
			_item._cacheAjax = false;
			that.annexCache(_item, true);
			return;
		}
		that.annexOpen(_item);
	},
	//开始缓存附件	 item格式 url本地地址路径	state【0未知 1下载中 2下载完成 3下载失败】	schedule下载进度 name显示在界面上的名字
	annexCache: function(_item, _ifOpen) {
		var that = this;
		if(_item._cacheAjax)
			return;
		_item._cacheAjax = true;//是否请求过	有就不再请求
		if (T.isAPICloud()) {
			if(!general_fs){
				general_fs = api.require('fs');
			}
			var filePath = _item.url; //取附件地址
			var lastLine = filePath.lastIndexOf("/") + 1;
			var fileName = _item.name || filePath.substring(lastLine, filePath.length); //取到真实文件名
			var localName = api.fsDir + '/fileCache/' + fileName;
			if (!general_fs.existSync({path: localName}).exist) { //判断是否在手机内存中
				api.download({
						url: filePath,
						savePath: localName,
						report: true,
						cache: true,
						allowResume: true
				}, function(ret, err) {
					if (ret) {
						if (ret.state == 1) {
							console.log("缓存这个附件成功:" + JSON.stringify(ret));
							_item.state = 2;
							_item.schedule = -1;
							_item.path = localName;
							that.$forceUpdate();
							if (_ifOpen)
								that.annexOpen(_item);
						} else if (ret.state == 2) {
							_item.state = 3;
							that.$forceUpdate();
						} else if (ret.state == 0) {
							_item.state = 1;
							_item.schedule = ret.percent;
						}
					} else {
						_item.state = 3;
						that.$forceUpdate();
					}
				});
			} else {
				_item.state = 2;
				_item.schedule = -1;
				_item.path = localName;
				if (_ifOpen)
						that.annexOpen(_item);
			}
		}
	},
	//打开附件
	annexOpen: function(_item) {
		var that = this;
		if (T.isAPICloud()) {
			T.hideProgress();
			if(true){
				var myParam = {};
				myParam.pageType = "page";//打开页面方式	home 首页一级模块	 page 作为页面被打开
				myParam.pageOnly = T.getNum();//表示页面唯一参数	必传
				myParam.footerH = 0;//底部按钮高度 传home时会有
				myParam.title = _item.name;//页面名字
//				myParam.path = _item.path;//文件地址
				myParam.item = _item;
				myParam.iconInfo = _item.iconInfo;//文件属性
				T.openWin("superFile_win"+myParam.pageOnly,"widget://wgt/A00003/html/api_module/mo_superFile/superFile_win.html",myParam,true,false);
//			api.require('superFile').openView({path: _item.path},function(ret,err){
//				alert(JSON.stringify(ret?ret:err));
//			});
//			general_docReader.open({path: _item.path,autorotation: false},function(ret){
//					if(!ret.status){//打不开的时候用这个模块打开
//						general_docInteraction.open({path: _item.path},function(ret){
//							if(!ret.status){
//							api.openApp({
//									uri: 'file://' + _item.path
//							}, function(ret, err) {
//									if (ret) {
//									} else {
//										alert(JSON.stringify(err));
//									}
//							});
//						}
//						});
//					}
//				});
			}else{
				T.toast('附件打开失败，无地址');
			}
		}
	},
	//获取 文件类型的各种属性
	getFileTypeAttr:function(_type){
		var type = _type || "";
		type = type.toLocaleLowerCase(),iconInfo = {name:"icon_unknown.png",type:"unknown"};
		try {
			if(type.indexOf('.')!= -1)type = type.split('.')[1];
			switch (type) {
				case 'xlsx':case 'xlsm':case 'xlsb':case 'xltx':case 'xltm':case 'xls':case 'xlt':case 'et':case 'csv':case 'uos'://excel格式
					iconInfo.name = "icon_excel.png";
					iconInfo.type = "excel";
					iconInfo.convertType = "61";
					break;
				case 'doc':case 'docx':case 'docm':case 'dotx':case 'dotm':case 'dot':case 'xps':case 'rtf':case 'wps':case 'wpt':case 'uot'://word格式
					iconInfo.name = "icon_word.png";
					iconInfo.type = "word";
					iconInfo.convertType = "61";
					break;
				case 'pdf'://pdf格式
					iconInfo.name = "icon_pdf.png";
					iconInfo.type = "pdf";
					iconInfo.convertType = "20";
					break;
				case 'ppt':case 'pptx':case 'pps':case 'pot':case 'pptm':case 'potx':case 'potm':case 'ppsx':case 'ppsm':case 'ppa':case 'ppam':case 'dps':case 'dpt':case 'uop'://ppt
					iconInfo.name = "icon_ppt.png";
					iconInfo.type = "ppt";
					iconInfo.convertType = "61";
					break;
				case 'bmp':case 'gif':case 'jpg':case 'pic':case 'png':case 'tif':case 'jpeg':case 'jpe':case 'icon':case 'jfif':case 'dib'://图片格式
					iconInfo.name = "icon_pic.png";
					iconInfo.type = "image";
					iconInfo.convertType = "23";
					break;
				case 'txt'://文本
					iconInfo.name = "icon_txt.png";
					iconInfo.type = "txt";
					iconInfo.convertType = "61";
					break;
				case "rar":case "zip":case "7z":case "tar":case "gz":case "jar":case "ios"://压缩格式
					iconInfo.name = "icon_zip.png";
					iconInfo.type = "compression";
					break;
			 	case "mp4":case "avi":case "flv":case "f4v":case "webm":case "m4v":case "mov":case "3gp":case "rm":case "rmvb":case "mkv"://视频格式
			 		iconInfo.name = "icon_mp4.png";
					iconInfo.type = "video";
			 		break;
			 	case "mp3":case "amr":case "pcm":case "wav":case "aiff":case "aac":case "ogg":case "wma":case "flac":case "alac":case "wma":case "cda"://音频格式
			 		iconInfo.name = "icon_mp3.png";
					iconInfo.type = "voice";
			 		break;
			}
		} catch (e) {console.error(e.message)}
		return iconInfo;
	},
	//获取文件大小
	getFileSize:function(_fileSize){
		if (!_fileSize && _fileSize != 0) return '';
		try {
			var size1 = parseFloat((_fileSize / 1024 / 1024).toFixed(1))
			var size2 = parseFloat((_fileSize / 1024).toFixed(1))
			if (size1 >= 1) {
				return size1 + 'MB';
			} else if (size2 >= 1) {
				return size2 + 'KB';
			} else {
				return parseInt(_fileSize) + 'B';
			}
		} catch (e) {
			return _fileSize;
		}
	},
	//聊天共用方法集合 ================================================================================
	//获取用户或群组相关信息	 conversationType类型	targetId对方id	 _details为详情时	 _definition定义返回名字的字段
	getChatInfo:function(_item,callback,_details,_definition){
		var that = this;
		var definition = _definition || {};
		var url = "";
		var prefix = (_details?_item.senderUserId:_item.targetId).split(zyUrl.getChatHeader())[0];
		var targetId = (_details?_item.senderUserId:_item.targetId).split(zyUrl.getChatHeader())[1];
//	console.error(targetId);
		try{
			if(Number(targetId) < 0){//为系统通知人 就不请求接口 直接返回系统人物属性
				if(targetId == "-1"){//智能助手
					_item[definition.name || "userName"] = "履职小助手";
					_item[definition.url || "url"] = (shareAddress + "images/icon_little_helper.png");
				}
				if(T.isFunction(callback)) {
					callback(_item);
				}
				return;
			}
		}catch(e){console.error(e.message)}
		if(_item.conversationType == "PRIVATE" || _details){
			url = zyUrl.getAppUrl()+"wholeuser/info/" + targetId;
		}else if(_item.conversationType == "GROUP"){
			url = zyUrl.getAppUrl()+"talkroup/info/" + targetId;
		}else{
			return;
		}
		T.ajax({u:url,c:false,ct:5},'ajax'+targetId + (_item.messageId),function(ret,err){
			if (ret) {
				var isDel = true;
				var name = "",img = "",position="";
				var code = ret.errcode || "";
				var data = ret.data || "";
				if(code == "200" && data){
					isDel = false;
					if(_item.conversationType == "PRIVATE" || _details){
						var data = ret.data || {};
						name = data.userName || "";
						img = data.fullImgUrl || "";
						position = data.position || "";
					}else if(_item.conversationType == "GROUP"){
						var data = ret.data || {};
						name = data.groupName || "";
						img = data.groupImgUrl || (shareAddress + "images/icon_default_group.png");
						_item.groupType = data.groupType || "";
						_item.groupOwner = data.groupOwner || "";
						_item.openSay = data.openSay || "";
					}
					_item[definition.name || "userName"] = name;
					_item[definition.url || "url"] = img;
					_item[definition.position || "position"] = position;
					db.executeSqlSync({name: 'MYDATABASE',sql: "delete from chatInfo where type='"+(_details?"PRIVATE":_item.conversationType)+"' and id='"+(zyUrl.getChatHeader() + targetId)+"'"});
					db.executeSqlSync({name : 'MYDATABASE',sql : "insert into chatInfo values('"+(_details?"PRIVATE":_item.conversationType)+"','" + (zyUrl.getChatHeader() + targetId) + "','" + name + "', '" + img + "')"});
					that.$forceUpdate();
				}
				_item.isDel = isDel;
				if(T.isFunction(callback)) {
					callback(_item);
				}
			}
		},'获取'+_item.conversationType+'信息');
	},
	//获取状态背景样式	什么状态	什么场景 
	getColorStatus:function(_state,_scenes){
		var that = this;
		var nItem = {};
		switch(_state){
			case "报名中":case "未开始":case "预约会议":nItem = {t:"#00D089"};break;
			case "签到中":nItem = {t:"#007BFF"};break;
			case "会议中":case "征集中":case "进行中":case "活动中":nItem = {t:that.appTheme};break;
			default:nItem = {t:"#cccccc"};break;
		}
		if(_scenes == 'bg'){
			return "background: " + T.colorRgba(nItem.t,'0.42') + ";";
		}else if(_scenes == 'angle'){
			return "border-top: "+((that.appFontSize-2)*0.01)+"rem solid "+T.colorRgba(nItem.t,'1')+";border-right: "+((that.appFontSize-2)*0.01)+"rem solid transparent;";
		}else if(_scenes == 'text'){
			return "color: " + T.colorRgba(nItem.t,'1') + ";";
		}else if(_scenes == 'color'){
			return nItem.t;
		}
	},
	// 会议返回返回字体大小
	getMeetingFontSize:function(size, oldSize, lineHeight) {
		size = size || 16;
		oldSize = oldSize || 16;
		var newSize = oldSize + (size - 16);
		var obj = {
			fontSize: (newSize * 0.01) + 'rem',
			// color: 'red',
		}
		if(lineHeight) {
			var line = parseInt(newSize * 1.5);
			obj.lineHeight = (line * 0.01) + 'rem;';
		}
		return obj;
	},
	// 会议返回颜色
	getMeetingColor:function(type,opacity) {
		if(type === 'text') {
			return "color: " + this.appTheme + ";";
		} else if (type === 'bg') {
			if(opacity) return "background: " + T.colorRgba(this.appTheme,opacity) + ";";
			return "background: " + this.appTheme + ";";
		}
	},
};
var nvmData = {},nvmWatch = {},nvmMethods = {};
T.ready(function(){
	try{
		nvmData = T.setNewJSON(DEFAULT_DATA,vmData);
		nvmWatch = T.setNewJSON(DEFAULT_WATCH,vmWatch);
		nvmMethods = T.setNewJSON(DEFAULT_METHODS,vmMethods);
	}catch(e){console.error(e.message)}
	vm = new Vue({
		el: '#app',
		data: nvmData,
		watch:nvmWatch,
		mounted: function () {//页面元素加载完成时调用
			var that = this;
			try{that.defalutInit();}catch(e){console.error(e.message)}
			try{that.init();}catch(e){console.error(e.message)}
		},
		methods: nvmMethods
	});
});